<?php

namespace App\Domain\Shared\Domain\Contract;

use App\Domain\Shared\Domain\Model\FailedJob;

interface FailedJobRepositoryInterface
{
    public function save(FailedJob $failedJob): void;
    public function get(string $id): ?FailedJob;
    public function delete(string $id): void;
    public function findAll(): array;
    public function findByJobType(string $jobType): array;
    public function findRetryableJobs(): array;
}
